
import java.io.*;
import java.util.*;

public class Main {
    public void solve() throws IOException {
        for (int i = nextInt(); i >0 ; i--) {
            long n = nextLong();
            long m = nextLong();
            if(n==1){
                long l = -1;
                long r = m;
                while(l+1<r){
                    long mid = (l+r)/2;
                    if(mid*(mid+1)<m*(m+1)/2)l=mid;
                    else r = mid;
                }
                if(m*(m+1)/2-l*(l+1)<r*(r+1)-(m*(m+1)/2))out.println("V "+ (l+1));
                else out.println("V "+(r+1));
            }
        }
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new Main().run();
    }

}