import java.io.*;
import java.util.*;

public class Main {
    public void solve() throws IOException {
        for (int i = nextInt(); i >0 ; i--) {
            long n = nextLong();
            long m = nextLong();
            if(n==1){
                long l = -1;
                long r = m;
                while(l+1<r){
                    long mid = (l+r)/2;
                    if(mid*(mid+1)<=m*(m+1)/2)l=mid;
                    else r = mid;
                }
                if(m*(m+1)/2-l*(l+1)<=r*(r+1)-(m*(m+1)/2))out.println("V "+ (l+1));
                else out.println("V "+(r+1));
            } else{
                long l = -1;
                long r = m;
                while(l+1<r){
                    long mid = (l+r)/2;
                    if(m*n*(m*n+1)/2-mid*(mid+1)*n-mid*m*(n*(n-1))>=0)l=mid;
                    else r = mid;
                }
                long ans1;
                if(m*n*(m*n+1)/2-l*(l+1)*n-l*m*(n*(n-1))<=-m*n*(m*n+1)/2+r*(r+1)*n+r*m*(n*(n-1)))ans1 = l;
                else ans1 = r;
                l = -1;
                r = m;
                while(l+1<r){
                    long mid = (l+r)/2;
                    if(m*n*(m*n+1)/2-mid*m*(mid*m+1)>=0)l=mid;
                    else r = mid;
                }
                long ans2;
                if(m*n*(m*n+1)/2-l*m*(l*m+1)<=-m*n*(m*n+1)/2+r*m*(r*m+1)) ans2 = l;
                else ans2 = r;
                if(Math.abs(m*n*(m*n+1)/2-ans1*(ans1+1)*n-ans1*m*(n*(n-1)))<=Math.abs(m*n*(m*n+1)/2-ans2*m*(ans2*m+1)))out.println("V "+ (ans1+1));
                else out.println("H "+ (ans2+1));
            }
        }
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new Main().run();
    }

}