import java.io.*;
import java.util.*;

public class Main {
    public void solve() throws IOException {
        for (int i = nextInt(); i > 0; i--) {
            long n = nextLong();
            long m = nextLong();
            if (n == 1) {
                long l = -1;
                long r = m + 1;
                while (l + 1 < r) {
                    long mid = (l + r) / 2;
                    if (m * n * (m * n + 1) / 2 - mid * (mid + 1) * n - mid * m * (n * (n - 1)) > 0) l = mid;
                    else r = mid;
                }
                long ans1;
                if (m * n * (m * n + 1) / 2 - l * (l + 1) * n - l * m * (n * (n - 1)) <= -m * n * (m * n + 1) / 2 + r * (r + 1) * n + r * m * (n * (n - 1)))
                    ans1 = l;
                else ans1 = r;
                l = -1;
                r = m + 1;
                while (l + 1 < r) {
                    long mid = (l + r) / 2;
                    if (m * n * (m * n + 1) / 2 - mid * m * (mid * m + 1) > 0) l = mid;
                    else r = mid;
                }
                long ans2;
                if (m * n * (m * n + 1) / 2 - l * m * (l * m + 1) <= -m * n * (m * n + 1) / 2 + r * m * (r * m + 1))
                    ans2 = l;
                else ans2 = r;
                if (Math.abs(m * n * (m * n + 1) / 2 - ans1 * (ans1 + 1) * n - ans1 * m * (n * (n - 1))) <= Math.abs(m * n * (m * n + 1) / 2 - ans2 * m * (ans2 * m + 1)))
                    out.println("V " + (ans1 + 1));
                else out.println("H " + (ans2 + 1));
            } else {
                long sumall = (n*m*(n*m+1))/2;
                long min = Long.MAX_VALUE;
                long mini = -1;
                long type = 0;
                for(long x=0; x<m; x++){
                    long v = Math.abs(sumall-(x*(x+1)*n)-x*m*(n*(n-1)));
                    if(v<min){
                        min = v;
                        mini = x+1;
                        type = 1;
                    }
                }
                for(long x=0; x<n; x++){
                    long v = Math.abs(sumall-(x*m*(x*m+1)));
                    if(v<min){
                        min = v;
                        mini = x+1;
                        type = 2;
                    }
                }
                if(type==1)out.println("V "+mini);
                else out.println("H "+mini);
            }
        }
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new Main().run();
    }

}