import java.io.*;
import java.util.*;

public class Main {

    static class pair {
        int n;
        int t;

        pair(int n, int t) {
            this.n = n;
            this.t = t;
        }
    }

    // A = 1; G = 2; C = 3; T = 4;
    public void solve() throws IOException {
        String str = nextToken();
        ArrayList<pair> dna = new ArrayList<>();
        char[] c = str.toCharArray();
        int i = 0;
        while (i < str.length()) {
            if (c[i] - '0' < 0 || c[i] - '0' > 9) {
                if (c[i] == 'A') dna.add(new pair(1, 1));
                else if (c[i] == 'G') dna.add(new pair(1, 2));
                else if (c[i] == 'C') dna.add(new pair(1, 3));
                else dna.add(new pair(1, 4));
            } else {
                StringBuilder number = new StringBuilder();
                while (c[i] - '0' >= 0 && c[i] - '0' < 10) {
                    number.append(c[i]);
                    i++;
                }
                int n = Integer.parseInt(String.valueOf(number));
                if (c[i] == 'A') dna.add(new pair(n, 1));
                else if (c[i] == 'G') dna.add(new pair(n, 2));
                else if (c[i] == 'C') dna.add(new pair(n, 3));
                else dna.add(new pair(n, 4));
            }
            i++;
        }
        int min = 0;
        int x = -1;
        int sum = 0;
        char v = '%';

        for (int j = 0; j < dna.size(); j++) {
            int k = dna.get(j).n;
            if (k == 1) {
                sum++;
                if (j != 0 && j != dna.size() - 1) {
                    if (dna.get(j - 1).t == dna.get(j + 1).t) {
                        int now = 2;
                        int n1 = dna.get(j - 1).n;
                        int n2 = dna.get(j + 1).n;
                        String str1 = String.valueOf(n1);
                        int len1 = str1.length();
                        String str2 = String.valueOf(n2);
                        int len2 = str2.length();
                        int len3 = String.valueOf(n1 + n2).length();
                        now += len1 + len2 - len3;
                        if (now > min) {
                            min = now;
                            x = sum;
                        }
                    } else if (min == 0) {
                        min = 1;
                        x = sum;
                    }
                } else if (min == 0) {
                    min = 1;
                    x = sum;
                }
            } else {
                sum += k;
                while (k / 10 != 0) k /= 10;
                if (k == 1) {
                    if (min == 0) {
                        min = 1;
                        x = sum;
                    }
                }
            }
        }
        out.println("2 " + x);
        min = 0;
        x = sum;
        sum = 0;
        for (int j = 0; j < dna.size(); j++) {
            pair p = dna.get(j);
            if (p.n > 2) {
                String stt = String.valueOf(p.n);
                int now1 = -1;
                if (stt.length() > 1 && stt.charAt(1) != '0') now1 = stt.length() + stt.length() - 1;
                int n1 = String.valueOf(p.n / 2).length();
                int n2 = String.valueOf((p.n + 1) / 2).length();
                int gg = String.valueOf(p.n).length();
                int now = n1 + n2 - gg;
                if (now1 > now) {
                    if (now1 > min) {
                        int it = 1;
                        for (int k = 0; k < stt.length(); k++) it *= 10;
                        x = sum + it;
                        min = now1;
                        if (p.t != 1) v = 'A';
                        else v = 'C';
                    }
                } else {
                    if(now>min){
                        x = sum+p.n/2;
                        min = now;
                        if (p.t != 1) v = 'A';
                        else v = 'C';
                    }
                }
            }
            sum+=dna.get(j).n;
        }
        out.print("1 ");
        if(min==0){
            out.print(x+" ");
            if(dna.get(dna.size()-1).t!=1)out.print("A");
            else out.print("C");
        } else{
            out.print(x+" "+v);
        }
    }

    //del = 2; set = 3; put = 1;
    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new Main().run();
    }

}