import java.io.*;
import java.util.*;

public class Main {
    public void solve() throws IOException {
        int n = nextInt();
        long sum = 0;
        Long[] a = new Long[n];
        for (int i = 0; i < n; i++) {
            a[i]=nextLong();
        }
        Arrays.sort(a);
        for (int i = 0; i < n; i++) {
            sum-=(a[i]*(n-i-1));
            sum+=a[i]*i;
        }
        out.print(sum);
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new Main().run();
    }

}